# Module `src.data2871027835.plugins.pms.onblacklist`

Expand source code

    from threading import Thread

    from onionrutils import localcommand

    def on_blacklist_add(api, data=None):
        blacklisted_data = data['data']

        def remove():
            localcommand.local_command(f'/mail/deletemsg/{blacklisted_data}', post=True)

        Thread(target=remove).start()

## Functions

`def on_blacklist_add(api, data=None)`
  Expand source code

      def on_blacklist_add(api, data=None):
          blacklisted_data = data['data']

          def remove():
              localcommand.local_command(f'/mail/deletemsg/{blacklisted_data}', post=True)

          Thread(target=remove).start()